%define orig_name libopensync-plugin-evolution2

Name: libopensync0-plugin-evolution2
Version: 0.22
Release: alt0.M41.1

Summary: Evolution 2 plugin for OpenSync
License: GPL
Group: System/Libraries
URL: http://www.opensync.org/
Packager: Mobile Development Team <mobile@packages.altlinux.org>


Source: %orig_name-%version.tar.bz2
# Patch0: libopensync-plugin-evolution2-fix_build.diff
Patch0: Makefile.in.diff

Requires: evolution-data-server 
Requires: libopensync0 = %version

# Conflicts: %orig_name

# Automatically added by buildreq on Thu Oct 16 2008
BuildRequires: evolution-data-server-devel gcc-c++ gcc-fortran glibc-devel-static libopensync0-devel

%description
This plugin allows applications using OpenSync to synchronise to and from
Evolution 2.

%package devel
Summary: Header files, libraries and development documentation for %name
Group: System/Libraries
Requires: %name = %version

%description devel
This package contains the header files, static libraries and development
documentation for %name. If you like to develop programs using %name,
you will need to install %name-devel.

%prep
%setup -q -n %orig_name-%version
%patch0 -p1

%build
%configure
%make

%install
%make_install install DESTDIR=%buildroot
rm -f %buildroot%_libdir/opensync/plugins/*.la

%files
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README
%_libdir/opensync/plugins/evo2_sync.so
%_datadir/opensync/defaults/evo2-sync

%files devel
%_includedir/opensync-1.0/opensync/evo2_sync.h

%changelog
* Mon Oct 20 2008 Andriy Stepanov <stanv@altlinux.ru> 0.22-alt0.M41.1
- M41

* Thu Oct 16 2008 Andriy Stepanov <stanv@altlinux.ru> 0.22-alt2
- Use as a stable version

* Mon Apr 02 2007 Alexey Shabalin <shaba@altlinux.ru> 0.22-alt1
- 0.22

* Mon Feb 12 2007 Alexey Shabalin <shaba@altlinux.ru> 0.21-alt1
- 0.21
- cleanup spec (drop cvs)

* Wed Nov 08 2006 Alexey Shabalin <shaba@altlinux.ru> 0.20-alt1
- release 0.20

* Tue Oct 03 2006 Alexey Shabalin <shaba@altlinux.ru> 0.19-alt2
- release 0.19

* Thu Sep 21 2006 Alexey Shabalin <shaba@altlinux.ru> 0.19-alt1cvs20060921
- svn version 20060921

* Tue Jul 18 2006 Alexey Shabalin <shaba@altlinux.ru> 0.18-alt4cvs20060718
- svn version 20060718

* Mon May 29 2006 Alexey Shabalin <shaba@altlinux.ru> 0.18-alt4cvs20060529
- svn version 20060529

* Tue Mar 07 2006 Alexey Shabalin <shaba@altlinux.ru> 0.18-alt3
- rebuild for evolution-2.5.91-alt1

* Wed Feb 08 2006 Alexey Shabalin <shaba@altlinux.ru> 0.18-alt2
- fix BuildRequires

* Tue Nov 22 2005 Alexey Shabalin <shaba@altlinux.ru> 0.18-alt1
- 0.18 release
- build for Sisyphus
- add Packager SynCE Development Team

* Fri Sep 30 2005 Alexey Shabalin <shaba@altlinux.ru> 0.18-alt0.1.cvs20050930
- Initial package
